package cn.iocoder.yudao.module.iot.dal.mysql.recipepoint;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.iot.dal.dataobject.recipepoint.RecipePointDO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.iot.controller.admin.recipepoint.vo.*;

/**
 * 手动配置参数表（绑定配方） Mapper
 *
 * @author 内蒙必硕
 */
@Mapper
public interface RecipePointMapper extends BaseMapperX<RecipePointDO> {

    default PageResult<RecipePointDO> selectPage(RecipePointPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<RecipePointDO>()
                .eqIfPresent(RecipePointDO::getRecipeId, reqVO.getRecipeId())
                .likeIfPresent(RecipePointDO::getName, reqVO.getName())
                .eqIfPresent(RecipePointDO::getMax, reqVO.getMax())
                .eqIfPresent(RecipePointDO::getMin, reqVO.getMin())
                .eqIfPresent(RecipePointDO::getDataType, reqVO.getDataType())
                .eqIfPresent(RecipePointDO::getDataUnit, reqVO.getDataUnit())
                .eqIfPresent(RecipePointDO::getRemark, reqVO.getRemark())
                .betweenIfPresent(RecipePointDO::getCreateTime, reqVO.getCreateTime())
                .eqIfPresent(RecipePointDO::getRefer, reqVO.getRefer())
                .orderByDesc(RecipePointDO::getId));
    }
    default List<RecipePointDO> selectList(Long recipeId) {
        return selectList(RecipePointDO::getRecipeId, recipeId);
    }
}